local Semi_FrameNames = {
	GossipFrame,
	QuestFrame,
	QuestLogFrame,
	QuestLogDetailFrame,
	BankFrame,
	DressUpFrame,
	MailFrame,
	OpenMailFrame,
	CharacterFrame,
	SpellBookFrame,
	MerchantFrame,
	FriendsFrame,
	ItemTextFrame,
	PVEFrame
};
--add ItemTextFrame
local Semi_

function Semi_FrameNames_Slider()
	CreateFrame("Slider", "SemiFrameNamesScaleSlider", Semi_ScaleOptions, "OptionsSliderTemplate")
	SemiFrameNamesScaleSlider:ClearAllPoints();
	SemiFrameNamesScaleSlider:SetPoint("TOP", Semi_ScaleOptions, "TOP", 0, -200);
	SemiFrameNamesScaleSlider:SetMinMaxValues(0.25, 2.5);
	SemiFrameNamesScaleSlider:SetValueStep(0.05);
	SemiFrameNamesScaleSlider:SetValue(Semi_FrameNames_Scale);
	SemiFrameNamesScaleSlider:SetScript("OnValueChanged", function (self, value)
									new_value = semi_round(value, 2);
									self:SetValue(new_value);
									Semi_FrameNames_Scale_On_Change(new_value);
									GameTooltip:SetOwner(self, "ANCHOR_TOP", 0, 10);
									GameTooltip:SetText(new_value);
									_G[SemiFrameNamesScaleSlider:GetName().."Text"]:SetText("Multiple Frames:  "..Semi_FrameNames_Scale);
									GameTooltip:Show();
									GameTooltip:FadeOut();
								end)
	_G[SemiFrameNamesScaleSlider:GetName().."Low"]:SetText("0.25");
	_G[SemiFrameNamesScaleSlider:GetName().."High"]:SetText("2.5");
	_G[SemiFrameNamesScaleSlider:GetName().."Text"]:SetText("Multiple Frames:  "..Semi_FrameNames_Scale);
	SemiFrameNamesScaleSlider:Show();
end

function Semi_CalendarFrame_Slider()
	CreateFrame("Slider", "SemiCalendarFrameScaleSlider", Semi_ScaleOptions, "OptionsSliderTemplate")
	SemiCalendarFrameScaleSlider:ClearAllPoints();
	SemiCalendarFrameScaleSlider:SetPoint("TOP", Semi_ScaleOptions, "TOP", 0, -250);
	SemiCalendarFrameScaleSlider:SetMinMaxValues(0.25, 2.5);
	SemiCalendarFrameScaleSlider:SetValueStep(0.05);
	SemiCalendarFrameScaleSlider:SetValue(Semi_CalendarFrame_Scale);
	SemiCalendarFrameScaleSlider:SetScript("OnValueChanged", function (self, value)
									new_value = semi_round(value, 2);
									self:SetValue(new_value);
									Semi_CalendarFrame_Scale_On_Change(new_value);
									GameTooltip:SetOwner(self, "ANCHOR_TOP", 0, 10);
									GameTooltip:SetText(new_value);
									_G[SemiCalendarFrameScaleSlider:GetName().."Text"]:SetText("Calendar Frame:  "..Semi_CalendarFrame_Scale);
									GameTooltip:Show();
									GameTooltip:FadeOut();
								end)
	_G[SemiCalendarFrameScaleSlider:GetName().."Low"]:SetText("0.25");
	_G[SemiCalendarFrameScaleSlider:GetName().."High"]:SetText("2.5");
	_G[SemiCalendarFrameScaleSlider:GetName().."Text"]:SetText("Calendar Frame:  "..Semi_CalendarFrame_Scale);
	SemiCalendarFrameScaleSlider:Show();
end

function Semi_WorldMapFrame_Slider()
	CreateFrame("Slider", "SemiWorldMapFrameScaleSlider", Semi_ScaleOptions, "OptionsSliderTemplate")
	SemiWorldMapFrameScaleSlider:ClearAllPoints();
	SemiWorldMapFrameScaleSlider:SetPoint("TOP", Semi_ScaleOptions, "TOP", 0, -300);
	SemiWorldMapFrameScaleSlider:SetMinMaxValues(0.25, 2.5);
	SemiWorldMapFrameScaleSlider:SetValueStep(0.05);
	SemiWorldMapFrameScaleSlider:SetValue(Semi_WorldMapFrame_Scale);
	SemiWorldMapFrameScaleSlider:SetScript("OnValueChanged", function (self, value)
									new_value = semi_round(value, 2);
									self:SetValue(new_value);
									Semi_WorldMapFrame_Scale_On_Change(new_value);
									GameTooltip:SetOwner(self, "ANCHOR_TOP", 0, 10);
									GameTooltip:SetText(new_value);
									_G[SemiWorldMapFrameScaleSlider:GetName().."Text"]:SetText("World Map Frame:  "..Semi_WorldMapFrame_Scale);
									GameTooltip:Show();
									GameTooltip:FadeOut();
								end)
	_G[SemiWorldMapFrameScaleSlider:GetName().."Low"]:SetText("0.25");
	_G[SemiWorldMapFrameScaleSlider:GetName().."High"]:SetText("2.5");
	_G[SemiWorldMapFrameScaleSlider:GetName().."Text"]:SetText("World Map Frame:  "..Semi_WorldMapFrame_Scale);
	SemiWorldMapFrameScaleSlider:Show();
end

function Semi_FrameNames_Scale_On_Change(PassedValueFromSliderOrEvent)
	Semi_FrameNames_Scale = PassedValueFromSliderOrEvent;
	for i=1,14 do 
		Semi_FrameNames[i]:SetScale(Semi_FrameNames_Scale);
	end
	--
	if MacroFrame ~= nil then
		MacroFrame:SetScale(Semi_FrameNames_Scale);
	end
	if TradeSkillFrame ~= nil then
		TradeSkillFrame:SetScale(Semi_FrameNames_Scale);
	end
	if GuildFrame ~= nil then
		GuildFrame:SetScale(Semi_FrameNames_Scale);
	end
	if InspectFrame ~= nil then
		InspectFrame:SetScale(Semi_FrameNames_Scale);
	end
	if ClassTrainerFrame ~= nil then
		ClassTrainerFrame:SetScale(Semi_FrameNames_Scale);
	end
	if LookingForGuildFrame ~= nil then
		LookingForGuildFrame:SetScale(Semi_FrameNames_Scale);
	end
	if PVPUIFrame ~= nil then
		PVPUIFrame:SetScale(Semi_FrameNames_Scale);
	end
	if ArchaeologyFrame ~= nil then
		ArchaeologyFrame:SetScale(Semi_FrameNames_Scale);
	end
	if PlayerTalentFrame ~= nil then
		PlayerTalentFrame:SetScale(Semi_FrameNames_Scale);
	end
end

function Semi_CalendarFrame_Scale_On_Change(PassedValueFromSliderOrEvent)
	Semi_CalendarFrame_Scale = PassedValueFromSliderOrEvent;
	if CalendarFrame ~= nil  then
		CalendarFrame:SetScale(Semi_CalendarFrame_Scale);
	end
end

function Semi_WorldMapFrame_Scale_On_Change(PassedValueFromSliderOrEvent)
	Semi_WorldMapFrame_Scale = PassedValueFromSliderOrEvent;
	WorldMapFrame:SetScale(Semi_WorldMapFrame_Scale);
end

hooksecurefunc("MacroFrame_LoadUI", function()
	if (not InCombatLockdown()) then
		MacroFrame:SetScale(Semi_FrameNames_Scale)
	end
end);

hooksecurefunc("TradeSkillFrame_LoadUI", function()
	if (not InCombatLockdown()) then
		TradeSkillFrame:SetScale(Semi_FrameNames_Scale);
	end
end);

hooksecurefunc("LookingForGuildFrame_LoadUI", function()
	if (not InCombatLockdown()) then
		LookingForGuildFrame:SetScale(Semi_FrameNames_Scale)
	end
end);

hooksecurefunc("GuildFrame_LoadUI", function()
	if (not InCombatLockdown()) then
		GuildFrame:SetScale(Semi_FrameNames_Scale)
	end
end);

hooksecurefunc("PVP_LoadUI", function()
	if (not InCombatLockdown()) then
		PVPUIFrame:SetScale(Semi_FrameNames_Scale)
	end
end);

hooksecurefunc("InspectFrame_LoadUI", function()
	if (not InCombatLockdown()) then
		InspectFrame:SetScale(Semi_FrameNames_Scale);
	end
end);

hooksecurefunc("ClassTrainerFrame_LoadUI", function()
	if (not InCombatLockdown()) then
		ClassTrainerFrame:SetScale(Semi_FrameNames_Scale);
	end
end);

hooksecurefunc("ArchaeologyFrame_LoadUI", function()
	if (not InCombatLockdown()) then
		ArchaeologyFrame:SetScale(Semi_FrameNames_Scale);
	end
end);

hooksecurefunc("TalentFrame_LoadUI", function()
	if (not InCombatLockdown()) then
		PlayerTalentFrame:SetScale(Semi_FrameNames_Scale);
	end
end);
